{
    "dynamic": "strict",
    "properties": {
        "id": { "type": "long"},
        "name": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_search","index_options":"offsets"}, //wiki名称
        "other_name":{"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_search","index_options":"offsets"}, //wiki别称
        "name_pre": {"type": "string","index": "not_analyzed"}, //wiki名称
        "other_name_pre": {"type": "string","index": "not_analyzed"}, //wiki名称
        "description": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search","index_options":"offsets"}, //wiki简介
        "is_online": {"type": "boolean"}, //是否上线
        "create_time": {"type": "date", "format": "date_time_no_millis"},//最后更新时间
        "effect": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index"},//功效特色
        "use_result":{"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index"},//使用功效
        "treatment_method":{"type":"string"}, //治疗方式
        "association_tags":{"type":"string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index"},
        "tag_not_analyzed":{"type":"string","index": "not_analyzed" },
        "related_drug":{
            "type":"nested",
            "properties":{
                "id":{"type":"long"},
                "name": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"}

            }
        },//相关药品
        "related_instrument":{
            "type":"nested",
            "properties":{
                "id":{"type":"long"},
                "name": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"}

            }
        },//相关材料

        "related_material":{
            "type":"nested",
            "properties":{
                "id":{"type":"long"},
                "name": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"}

            }
        },//相关仪器
        "related_brand":{
            "type":"nested",
            "properties":{
                "id":{"type":"long"},
                "name": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"}

            }
        },//相关仪器
        "product_type":{"type":"long"},//产品类型
        "wikitype":{"type":"long"},//wiki类型
        "special": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"}, //特色
        "ingredient": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"}, //成分
        "nature_type": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"},//性质类型
        "shape": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_index"},//形状
        "is_video":{"type":"boolean"},
        "old_tag_ids":{"type":"long"}
    }
}
